You are viewing a non-production environment — the API surface may differ from production.
Menu API

Custom Tags

Labels and categorization

POST
/api/v1/custom-tags

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

itemId*number

Item ID to tag

categoryHandle*string

Category handle

key*string

Tag key/name

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/custom-tags" \  -H "Content-Type: application/json" \  -d '{    "itemId": 0,    "categoryHandle": "string",    "key": "string"  }'
{  "status": "success",  "data": {    "id": 0,    "key": "string",    "categoryHandle": "string",    "categoryId": 0,    "languageId": 0  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/custom-tags/link

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

itemId*number

Item ID

customTagId*number

Custom tag ID to link

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/custom-tags/link" \  -H "Content-Type: application/json" \  -d '{    "itemId": 0,    "customTagId": 0  }'
{  "status": "success",  "data": {    "success": true  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
GET
/api/v1/custom-tags/search

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Query Parameters

query*string

Search string (minimum 3 characters)

Length3 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/custom-tags/search?query=string"
{  "status": "success",  "data": [    {      "id": 0,      "key": "string",      "categoryHandle": "string",      "categoryId": 0,      "languageId": 0    }  ],  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/custom-tags/unlink

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

itemId*number

Item ID

customTagId*number

Custom tag ID to unlink

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/custom-tags/unlink" \  -H "Content-Type: application/json" \  -d '{    "itemId": 0,    "customTagId": 0  }'
{  "status": "success",  "data": {    "success": true  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}